--- title: "Get subnet list (G3)" slug: "cdss-getavailablesubnetlist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/cdss-getavailablesubnetlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get subnet list (G3) Available in VPC Get the list of available subnets. Note This is a dedicated API for third-generation servers of the KVM hypervisor type. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/cluster/getVpcAvailableSubnetList (Korea Region) | | POST | /api/sgn-v1/cluster/getVpcAvailableSubnetList (Singapore Region) | | POST | /api/jpn-v1/cluster/getVpcAvailableSubnetList (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `isPrivate` | Boolean | Optional | Whether it is a private subnet - `true` \| `false` - `true`: private subnet - `false`: public subnet | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type (G3)](/docs/en/cdss-getclusterserverimagelist). | | `vpcNo` | Integer | Required | VPC number - See [Get VPC list](/docs/en/analytics-clouddatastreamingservice-cluster-getvpclist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getVpcAvailableSubnetList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "isPrivate": true, "softwareProductCode": "SW.VCDSS.OS.LNX64.ROCKY.08.G003", "vpcNo": 4*** }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.error` | String | - | Error message | | `result.content` | Array | - | Subnet list: [content](/docs/en/cdss-getavailablesubnetlist#content) | | `requestId` | String | - | ID for the request - UUID format | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `isPublic` | Boolean | - | Whether it is a public subnet - `true` \| `false` - `true`: public subnet - `false`: private subnet | | `statusCode` | String | - | Subnet status | | `subnet` | String | - | Subnet's IPv4 CIDR block | | `subnetName` | String | - | Subnet name | | `subnetNo` | Integer | - | Subnet number | | `vpcName` | String | - | VPC name | | `vpcNo` | Integer | - | VPC number | | `zoneName` | String | - | Zone name | | `zoneNo` | Integer | - | Zone number | | `actionName` | String | - | Action name required to use the subnet for the sub account - If `permission` is `Deny`, it becomes available when granting the [getSubnetDetail](/docs/en/networking-vpc-subnetmanagement-getsubnetdetail) permission to the sub account. | | `permission` | String | - | Sub account availability - `Allow` \| `Deny` - `Allow`: available - `Deny`: unavailable | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "error": null, "content": [ { "isPublic": false, "statusCode": "RUN", "subnet": "10.0.20.0/24", "subnetName": "sb2", "subnetNo": 3****, "vpcName": "test-vpc2", "vpcNo": 4***, "zoneName": "KR-2", "zoneNo": 3, "actionName": "View/getSubnetDetail", "permission": "Allow" } ] }, "requestId": "a7c59c34-****-****-****-b5706cc6d690" } ```